<script setup lang="ts">
import type { BlogAuthor } from '@/types/blog';
import { defineProps, computed } from 'vue';

const props = defineProps<{
  author: BlogAuthor;
}>();
const crumbs = computed(() => [{ title: 'Blog', href: `/blog/` }, { title: props.author.name }]);
</script>

<template>
  <SlpContainer>
    <div class="author-hero">
      <CommonBreadcrumbs :crumbs="crumbs" />
      <div class="author-hero__card">
        <div class="author-hero__headshot">
          <NuxtImg v-if="author.config.headshot" :src="author.config.headshot" :alt="`${author.name} headshot`" />
        </div>
        <div class="author-hero__info">
          <div>
            <SlpTypography v-if="props.author?.name" variant="heading2-bold">
              {{ props.author.name }}
            </SlpTypography>
          </div>
          <div class="slp-mt-8">
            <SlpTypography variant="body1-bold" tag="span">
              <a
                v-if="props.author.config.gitlabHandle"
                :href="`https://gitlab.com/${props.author?.gitlab || ''}`"
                data-ga-name="gitlab profile"
                data-ga-location="body"
                >@{{ props.author.config.gitlabHandle }}</a
              >
            </SlpTypography>
            <SlpTypography v-if="props.author.role" variant="body1" tag="span" class="author-hero__role"
              >| {{ props.author.role }}
            </SlpTypography>
          </div>
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.author-hero {
  position: relative;
  display: block;
  padding: 32px 0;
  &:before {
    content: '';
    position: absolute;
    width: 100vw;
    height: 100%;
    left: 0;
    top: 0;
    background: linear-gradient(90deg, #eee7fd 2.53%, rgba(246, 243, 254, 0.83) 50.98%, rgba(255, 212, 216, 0.45) 100%);
    left: 50%;
    transform: translateX(-50%);
  }
  * {
    position: relative;
  }
  &__card {
    display: flex;
    align-items: center;
  }
  &__headshot {
    flex: 0 0 124px;
    width: 124px;
    height: 124px;
    border-radius: 100%;
    overflow: hidden;
    background: #fff;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  &__info {
    margin-left: 32px;
  }
}
</style>
